#
# spec file for package python-openstack-doc-tools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname openstack-doc-tools
%global module os_doc_tools
Name:           python-openstack-doc-tools
Version:        1.0.1
Release:        2.3
Summary:        OpenStack Docs Tools
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Babel >= 2.3.4
BuildRequires:  python-PyYAML >= 3.1.0
BuildRequires:  python-Sphinx
BuildRequires:  python-demjson
BuildRequires:  python-devel
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
Requires:       python-PyYAML >= 3.1.0
Requires:       python-Sphinx
Requires:       python-cliff-tablib >= 1.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-lxml >= 2.3
Requires:       python-oslosphinx >= 2.5.0
BuildArch:      noarch

%description
Tools used by the OpenStack Documentation Project.

%prep
%setup -q -n %{sname}-%{version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst
%{_bindir}/doc-tools-build-rst
%{_bindir}/doc-tools-check-languages
%{_bindir}/doc-tools-update-cli-reference
%{_bindir}/openstack-auto-commands
%{_bindir}/openstack-indexpage
%{_bindir}/openstack-jsoncheck
%{python2_sitelib}/%{module}
%{python2_sitelib}/autogenerate_config_docs
%{_datadir}/%{sname}
%{python2_sitelib}/*.egg-info

%changelog
* Tue Oct 11 2016 dmueller@suse.com
- Initial package (1.0.1)
